package com.yanzhu.base.service;

import java.util.List;
import com.yanzhu.base.domain.BaseAssetsType;

/**
 * 物资类型Service接口
 * 
 * @author yanZhu
 * @date 2024-02-24
 */
public interface IBaseAssetsTypeService 
{

    /**
     * 查询物资类型
     * 
     * @param id 物资类型主键
     * @return 物资类型
     */
    public BaseAssetsType selectBaseAssetsTypeById(Long id);

    /**
     * 查询物资类型列表
     * 
     * @param baseAssetsType 物资类型
     * @return 物资类型集合
     */
    public List<BaseAssetsType> selectBaseAssetsTypeList(BaseAssetsType baseAssetsType);

    /**
     * 新增物资类型
     * 
     * @param baseAssetsType 物资类型
     * @return 结果
     */
    public int insertBaseAssetsType(BaseAssetsType baseAssetsType);

    /**
     * 修改物资类型
     * 
     * @param baseAssetsType 物资类型
     * @return 结果
     */
    public int updateBaseAssetsType(BaseAssetsType baseAssetsType);

    /**
     * 批量删除物资类型
     * 
     * @param ids 需要删除的物资类型主键集合
     * @return 结果
     */
    public int deleteBaseAssetsTypeByIds(Long[] ids);

    /**
     * 删除物资类型信息
     * 
     * @param id 物资类型主键
     * @return 结果
     */
    public int deleteBaseAssetsTypeById(Long id);

    /**
     * 查询物资类型
     *
     * @param category 物资类型
     * @return 结果
     */
    public List<BaseAssetsType> findAllByCategory(String category);
}
